<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haup_register_scripts(){
/*** 追加コンテンツ ***/
//トップ・ホームスクロール
	wp_register_script(
		'haup-tophome-scroll-js',
		plugin_dir_url( __FILE__ ) .'min/smooth-scroll.min.js', 
		array('jquery'),
		haup_plugin_version(),
		array( 
			'strategy'  => 'defer',
			'in_footer' => true,// Note: This is the default value.
		)
	);

//固定ヘッダー
	wp_register_script( 
		'haup-sticky-header-js', 
		plugin_dir_url( __FILE__ ) .'min/sticky-header.min.js', 
		array('jquery'), 
		haup_plugin_version(),
		array( 
			'strategy'  => 'defer',
			'in_footer' => true, // Note: This is the default value.
		) 
	);

//スライドインコンテンツ
	wp_register_script( 
		'haup-slidein-content-js', 
		plugin_dir_url( __FILE__ ).'min/slidein-content.min.js', 
		array('jquery'),
		haup_plugin_version(),
		array( 
			'strategy'  => 'defer',
			'in_footer' => true, // Note: This is the default value.
		) 
	);

//同意コンテンツ
	wp_register_script( 
		'haup-jquery-cookie-js', 
		plugin_dir_url( __FILE__ ) .'min/jquery.cookie.min.js', 
		array ('jquery'),
		haup_plugin_version(), 
		array( 
			'strategy'  => 'defer',
			'in_footer' => true, // Note: This is the default value.
		)
	);

	wp_register_script( 
		'haup-cookie-consent-js', 
		plugin_dir_url( __FILE__ ) .'min/cooke-consent.min.js', 
		array ('jquery'),
		haup_plugin_version(), 
		array( 
			'strategy'  => 'defer',
			'in_footer' => true, // Note: This is the default value.
		)
	);

//ポップアップショートコード
	wp_register_script(
		'haup-popup-shortcode-js',
		plugin_dir_url( __FILE__ ) .'min/popup-shortcode.min.js', 
		array('jquery'),
		haup_plugin_version(),
		array( 
			'strategy'  => 'defer',
			'in_footer' => true, // Note: This is the default value.
		)
	);

//ポップアップ（CPT）
	wp_register_script(
		'haup-popup-cpt-js',
		plugin_dir_url( __FILE__ ) .'min/popup-cpt.min.js', 
		array('jquery'),
		haup_plugin_version(),
		array( 
			'strategy'  => 'defer',
			'in_footer' => true, // Note: This is the default value.
		)
	);

//パスワード保護コンテンツショートコード
	wp_register_script(
		'haup-password-protected-js',
		plugin_dir_url( __FILE__ ) .'min/password-protected.min.js',
		array('jquery'),
		haup_plugin_version(),
		true
	);

//グループブロックアニメーション
	wp_register_script( 
		'haup-group-animate', 
		plugin_dir_url( __FILE__ ) .'min/group-animation.min.js', 
		array('jquery'), 
		haup_plugin_version(),
		array( 
			'strategy'  => 'defer',
			'in_footer' => true, // Note: This is the default value.
		)
	);

//クリックして表示するグループブロック
	wp_register_script( 
		'haup-group-click-to-show', 
		plugin_dir_url( __FILE__ ) .'min/group-click-to-show.min.js', 
		array('jquery'), 
		haup_plugin_version(),
		array( 
			'strategy'  => 'defer',
			'in_footer' => true, // Note: This is the default value.
		)
	);


	//ギャラリーライトボックススライダー
	//CDNからGlightboxのスクリプトを読み込んで登録
	wp_register_script( 
		'haup-glightbox-js',
		'https://cdn.jsdelivr.net/npm/glightbox/dist/js/glightbox.min.js',
		array(), 
		haup_plugin_version(),
		array( 
			'strategy'  => 'defer',
			'in_footer' => true, // Note: This is the default value.
		)
	);

	//ギャラリーごとにスライダーを分けるJSを登録
	//ページ送りあり、自動再生なし
	wp_register_script(
		'haup-gallery-switch-image-js',
		plugin_dir_url( __FILE__ ) .'gallery-switch-image.js',
		array('haup-glightbox-js'),
		haup_plugin_version(),
		array( 
			'strategy'  => 'defer',
			'in_footer' => true, // Note: This is the default value.
		)
	);

	//ページ送りあり、自動再生あり
	wp_register_script(
		'haup-gallery-switch-image-with-auto-play-js',
		plugin_dir_url( __FILE__ ) .'gallery-switch-image-with-auto-play.js',
		array('haup-glightbox-js'),
		haup_plugin_version(),
		array( 
			'strategy'  => 'defer',
			'in_footer' => true, // Note: This is the default value.
		)
	);

		//CDNからGlightboxのスタイルを読み込んで登録
		wp_register_style( 
		'haup-glightbox-css',
		'https://cdn.jsdelivr.net/npm/glightbox/dist/css/glightbox.min.css',
		array(), 
		haup_plugin_version(),
		'all'
	);

	//アコーディオンブロックのスムーズ開閉
	//サイト全体へ適用
	wp_register_script(
		'haup-smooth-accordion-js',
		plugin_dir_url( __FILE__ ) .'smooth-accordion.js',
		array(),
		haup_plugin_version(),
		array( 
			'strategy'  => 'defer',
			'in_footer' => true, // Note: This is the default value.
		)
	);

	//サイト全体へ適用
	wp_register_script(
		'haup-smooth-accordion-conditional-js',
		plugin_dir_url( __FILE__ ) .'smooth-accordion-conditional.js',
		array(),
		haup_plugin_version(),
		array( 
			'strategy'  => 'defer',
			'in_footer' => true, // Note: This is the default value.
		)
	);

}
add_action( 'wp_enqueue_scripts', 'haup_register_scripts' );